## blobby 0.8

=== data/CMakeLists.txt ===
macro(add_zip_archive _dir _filetype)
	file(GLOB archive_src RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${_dir}/*.${_filetype})
	add_custom_command(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip
		COMMAND zip ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip ${archive_src}
		DEPENDS ${archive_src}
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		VERBATIM
		)
	add_custom_target(${_dir}_zip ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip)
#	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_dir].zip DESTINATION /usr)
endmacro(add_zip_archive _dir _filetype)


add_zip_archive(gfx bmp)
add_zip_archive(sounds wav)
add_zip_archive(scripts lua)
add_zip_archive(backgrounds bmp)

set(install_files
	${CMAKE_CURRENT_BINARY_DIR}/gfx.zip
	${CMAKE_CURRENT_BINARY_DIR}/sounds.zip
	${CMAKE_CURRENT_BINARY_DIR}/scripts.zip
	${CMAKE_CURRENT_BINARY_DIR}/backgrounds.zip
	config.xml
	inputconfig.xml
	server.xml)

if (WIN32)
	install(FILES ${install_files} DESTINATION data)
elseif (UNIX)
	install(FILES ${install_files} DESTINATION share/blobby)
endif (WIN32)

=== src/CMakeLists.txt ===
add_subdirectory(lua)
add_subdirectory(tinyxml)
add_subdirectory(raknet)

add_definitions(-DTIXML_USE_STL)
include_directories(.)

set(common_SRC	
	Global.h
	NetworkGame.cpp NetworkGame.h
	NetworkMessage.cpp NetworkMessage.h
	PhysicWorld.cpp PhysicWorld.h
	SpeedController.cpp SpeedController.h
	UserConfig.cpp UserConfig.h
	)
	
set (blobby_SRC ${common_SRC}
	Blood.cpp Blood.h
	TextManager.cpp TextManager.h
	DuelMatch.cpp DuelMatch.h
	main.cpp
	IMGUI.cpp IMGUI.h
	InputDevice.cpp InputDevice.h
	InputManager.cpp InputManager.h
	InputSource.cpp InputSource.h
	LocalInputSource.h
	Player.cpp Player.h
	RenderManager.cpp RenderManager.h
	RenderManagerGL2D.cpp RenderManagerGL2D.h
	RenderManagerGP2X.cpp RenderManagerGP2X.h
	RenderManagerSDL.cpp RenderManagerSDL.h
	ReplayRecorder.cpp ReplayRecorder.h
	ScriptedInputSource.cpp ScriptedInputSource.h
	SoundManager.cpp SoundManager.h
	Vector.h
	state/State.cpp state/State.h
	state/LocalGameState.cpp state/LocalGameState.h
	state/NetworkState.cpp state/NetworkState.h
	state/OptionsState.cpp state/OptionsState.h
	)
	
set (blobby-server_SRC ${common_SRC}
	DedicatedServer.cpp DedicatedServer.h
	)

find_package(Boost REQUIRED)
find_package(PhysFS REQUIRED)
find_package(SDL REQUIRED)
find_package(OpenGL)

include_directories(
	${Boost_INCLUDE_DIR} ${PHYSFS_INCLUDE_DIR}
	${SDL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR}
)

if (OPENGL_FOUND)
	add_definitions(-DHAVE_LIBGL)
endif (OPENGL_FOUND)

if (CMAKE_SYSTEM_NAME STREQUAL Windows)
	set(RAKNET_LIBRARIES raknet ws2_32)
else (CMAKE_SYSTEM_NAME STREQUAL Windows)
	set(RAKNET_LIBRARIES raknet)
endif (CMAKE_SYSTEM_NAME STREQUAL Windows)

add_executable(blobby ${blobby_SRC})
target_link_libraries(blobby lua raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY} ${OPENGL_LIBRARIES})

if (UNIX)
	add_executable(blobby-server ${blobby-server_SRC})
	target_link_libraries(blobby-server raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY})
endif (UNIX)

if (WIN32)
	install(TARGETS blobby DESTINATION .)
elseif (UNIX)
	install(TARGETS blobby blobby-server DESTINATION bin)
endif (WIN32)

## blobby 0.9c

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,12 @@
 
 set(common_SRC	
 	Global.h
+	Clock.cpp Clock.h
+	DuelMatch.cpp DuelMatch.h
+	ReplayRecorder.cpp ReplayRecorder.h
 	NetworkGame.cpp NetworkGame.h
 	NetworkMessage.cpp NetworkMessage.h
+	GameLogic.cpp GameLogic.h
 	PhysicWorld.cpp PhysicWorld.h
 	SpeedController.cpp SpeedController.h
 	UserConfig.cpp UserConfig.h
@@ -17,7 +21,6 @@
 set (blobby_SRC ${common_SRC}
 	Blood.cpp Blood.h
 	TextManager.cpp TextManager.h
-	DuelMatch.cpp DuelMatch.h
 	main.cpp
 	IMGUI.cpp IMGUI.h
 	InputDevice.cpp InputDevice.h
@@ -29,8 +32,8 @@
 	RenderManagerGL2D.cpp RenderManagerGL2D.h
 	RenderManagerGP2X.cpp RenderManagerGP2X.h
 	RenderManagerSDL.cpp RenderManagerSDL.h
-	ReplayRecorder.cpp ReplayRecorder.h
-	ScriptedInputSource.cpp ScriptedInputSource.h
+	ScriptedInputSource.cpp ScriptedInputSource.h	
+	BotAPICalculations.cpp BotAPICalculations.h
 	SoundManager.cpp SoundManager.h
 	Vector.h
 	state/State.cpp state/State.h
@@ -68,8 +71,12 @@
 
 if (UNIX)
 	add_executable(blobby-server ${blobby-server_SRC})
-	target_link_libraries(blobby-server raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY})
+	target_link_libraries(blobby-server lua raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY})
 endif (UNIX)
+
+if (CMAKE_SYSTEM_NAME STREQUAL Windows)
+	set_target_properties(blobby PROPERTIES LINK_FLAGS "-mwindows") # disable the console window
+endif (CMAKE_SYSTEM_NAME STREQUAL Windows)
 
 if (WIN32)
 	install(TARGETS blobby DESTINATION .)

=== debian/changelog ===
blobby (0.9c-1) unstable; urgency=low

  * New upstream release. (LP: #887143)
    - Resolves all licensing issues, no need to repackage the upstream
      tarball anymore.
  * Drop 03_detect_endianness_glibc.patch, merged upstream.
  * Refresh patches.
  * Enable parallel building.
  * Switch to source format 3.0 (quilt).
    - Add unapply-patches and abort-on-upstream-changes to local-options.
    - Refresh patches.
  * Export build flags using /usr/share/dpkg/buildflags.mk.
  * Improve package description, thanks to Paul Stewart. (LP: #833458)
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Move package to the pkg-games team.
  * Generate blobby icons during the build.
  * Update copyright file to latest DEP-5 spec.
  * Pass --fail-missing to dh_install.
  * Add 05_server_config_file.patch: append /usr/share/blobby to the server
    config search path and write the config to the user's home dir.
    (Closes: #648204)

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 04 Dec 2011 12:45:10 +0100

blobby (0.8-dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set DM-Upload-Allowed.

 -- Philipp Kern <pkern@debian.org>  Mon, 28 Nov 2011 22:39:54 +0100

blobby (0.8-dfsg-2) unstable; urgency=low

  * Add 03_detect_endianness_glibc.patch to fix FTBFS on s390 and sh4.
    (Closes: #572025)
  * Add Vcs-Git and Vcs-Browser fields.
  * Update copyright information of the tinyxml source.
  * Explicitly set source format to "1.0".
  * Add -Wl,--as-needed to LDFLAGS.
  * Use the tinyxml package instead of building a local copy.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 17 Apr 2010 00:54:09 +0200

blobby (0.8-dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #408439)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 23 Feb 2010 18:28:39 +0100

=== debian/control ===
Source: blobby
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.4.10~),
               cmake,
               imagemagick,
               zip,
               libboost-dev,
               libgl1-mesa-dev | libgl-dev,
               liblua5.1-0-dev,
               libphysfs-dev,
               libsdl1.2-dev,
               libtinyxml-dev,
               zlib1g-dev
Homepage: http://sourceforge.net/projects/blobby/
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/blobby.git

Package: blobby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         blobby-data (>= ${source:Version})
Description: Volleyball game with blobs
 This package contains the client binary for Blobby Volley 2.
 .
 Blobby Volley is an arcade volleyball game with jumping blobs.
 It contains a multiplayer mode and several bots.

Package: blobby-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         blobby-data (>= ${source:Version})
Description: Volleyball game with blobs (server)
 This package contains the server binary for Blobby Volley 2.
 .
 Blobby Volley is an arcade volleyball game with jumping blobs.
 It contains a multiplayer mode and several bots.

Package: blobby-data
Architecture: all
Depends: ${misc:Depends}
Description: Volleyball game with blobs (data files)
 This package contains the static data for Blobby Volley 2.
 .
 Blobby Volley is an arcade volleyball game with jumping blobs.
 It contains a multiplayer mode and several bots.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_install:
	dh_install --fail-missing
	convert -transparent black data/gfx/ball01.bmp \
	  debian/blobby/usr/share/icons/hicolor/64x64/apps/blobby.png
	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
	  debian/blobby/usr/share/icons/hicolor/32x32/apps/blobby.png
	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
	  debian/blobby/usr/share/pixmaps/blobby.xpm

=== debian/watch ===
version=3

http://sf.net/blobby/ blobby2-linux-(.*)\.tar\.gz

## blobby 1.0~rc1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	PhysicWorld.cpp PhysicWorld.h
 	SpeedController.cpp SpeedController.h
 	UserConfig.cpp UserConfig.h
+	File.cpp File.h
+	FileWrite.cpp FileWrite.h
+	FileRead.cpp FileRead.h
 	)
 	
 set (blobby_SRC ${common_SRC}
@@ -23,6 +26,7 @@
 	TextManager.cpp TextManager.h
 	main.cpp
 	IMGUI.cpp IMGUI.h
+	LagDetectionSystem.cpp LagDetectionSystem.h
 	InputDevice.cpp InputDevice.h
 	InputManager.cpp InputManager.h
 	InputSource.cpp InputSource.h
@@ -36,14 +40,21 @@
 	BotAPICalculations.cpp BotAPICalculations.h
 	SoundManager.cpp SoundManager.h
 	Vector.h
+	ReplayRecorder.cpp ReplayRecorder.h
+	ReplayPlayer.cpp ReplayPlayer.h
+	ReplayLoader.cpp
 	state/State.cpp state/State.h
 	state/LocalGameState.cpp state/LocalGameState.h
 	state/NetworkState.cpp state/NetworkState.h
 	state/OptionsState.cpp state/OptionsState.h
+	state/NetworkSearchState.cpp state/NetworkSearchState.h
+	state/ReplayState.cpp state/ReplayState.h
+	state/ReplaySelectionState.cpp state/ReplaySelectionState.h
 	)
 	
 set (blobby-server_SRC ${common_SRC}
-	DedicatedServer.cpp DedicatedServer.h
+	server/DedicatedServer.cpp server/DedicatedServer.h
+	server/NetworkPlayer.cpp server/NetworkPlayer.h
 	)
 
 find_package(Boost REQUIRED)

=== src/raknet/CMakeLists.txt ===
set (raknet_SRC
	ArrayList.h
	AsynchronousFileIO.cpp AsynchronousFileIO.h
	Autopatcher.cpp Autopatcher.h
	BigTypes.h
	BinarySearchTree.h
	BitStream.cpp BitStream.h
	CheckSum.cpp CheckSum.h
	ClientContextStruct.h
	DataBlockEncryptor.cpp DataBlockEncryptor.h
	DataReplicator.cpp DataReplicator.h
	DistributedNetworkObject.cpp DistributedNetworkObject.h
	DistributedNetworkObjectHeader.h
	DistributedNetworkObjectManager.cpp DistributedNetworkObjectManager.h
	DistributedNetworkObjectStub.cpp DistributedNetworkObjectStub.h
	DownloadableFileDescriptor.cpp DownloadableFileDescriptor.h
	EncodeClassName.cpp EncodeClassName.h
	ExtendedOverlappedPool.cpp ExtendedOverlappedPool.h
	FullyConnectedMesh.cpp FullyConnectedMesh.h
	GetTime.cpp GetTime.h
	HuffmanEncodingTree.cpp HuffmanEncodingTree.h
	HuffmanEncodingTreeFactory.cpp HuffmanEncodingTreeFactory.h
	HuffmanEncodingTreeNode.h
	InternalPacket.h
	InternalPacketPool.cpp InternalPacketPool.h
	LinkedList.h
	MessageHandlerInterface.cpp MessageHandlerInterface.h
	MTUSize.h
	Multiplayer.h
	NetworkIDGenerator.cpp NetworkIDGenerator.h
	NetworkObject.cpp NetworkObject.h
	NetworkTypes.cpp NetworkTypes.h
	OrderedList.cpp OrderedList.h
	PacketEnumerations.h
	PacketPool.cpp PacketPool.h
	PacketPriority.h
	Queue.h
	QueueLinkedList.h
	RakClient.cpp RakClient.h
	RakClientInterface.h
	RakNetQueue.h
	RakNetStatistics.cpp RakNetStatistics.h
	RakNetworkFactory.cpp RakNetworkFactory.h
	RakPeer.cpp RakPeer.h
	RakPeerInterface.h
	RakServer.cpp RakServer.h
	RakServerInterface.h
	Rand.cpp Rand.h
	ReliabilityLayer.cpp ReliabilityLayer.h
	rijndael-boxes.h
	rijndael.cpp rijndael.h
	RPCMap.cpp RPCMap.h
	RPCNode.cpp RPCNode.h
	RSACrypt.h
	SHA1.cpp SHA1.h
	SimpleMutex.cpp SimpleMutex.h
	SingleProducerConsumer.h
	SocketLayer.cpp SocketLayer.h
	StringCompressor.cpp StringCompressor.h
	Types.h
	)

add_library(raknet STATIC ${raknet_SRC})

=== debian/changelog ===
blobby (1.0~rc1-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.7.
    - Add 06_ftbfs_gcc47.patch
  * Switch to debhelper compat level v9.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 May 2012 12:27:19 +0200

blobby (1.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Fix Vcs-Browser url.
  * Install the upstream changelog.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update copyright file.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 13 Apr 2012 16:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.4.10~),
+Build-Depends: debhelper (>= 9),
                cmake,
                imagemagick,
                zip,
@@ -16,9 +16,9 @@
                libtinyxml-dev,
                zlib1g-dev
 Homepage: http://sourceforge.net/projects/blobby/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/blobby.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/blobby.git
 
 Package: blobby
 Architecture: any

## blobby 1.0~rc3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

include(CPack)

project(Blobby)

# process the config.h
configure_file(${Blobby_SOURCE_DIR}/config.h.in
               ${Blobby_BINARY_DIR}/config.h)
include_directories(${Blobby_BINARY_DIR})

add_subdirectory(data)
add_subdirectory(src)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 macro(add_zip_archive _dir _filetype)
-	file(GLOB archive_src RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${_dir}/*.${_filetype})
+	file(GLOB_RECURSE archive_src RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${_dir}/*.${_filetype})
 	add_custom_command(
 		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip
 		COMMAND zip ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip ${archive_src}
@@ -24,7 +24,11 @@
 	${CMAKE_CURRENT_BINARY_DIR}/backgrounds.zip
 	config.xml
 	inputconfig.xml
-	server.xml)
+	server.xml
+	lang_de.xml
+	lang_en.xml
+	lang_fr.xml
+	rules.lua)
 
 if (WIN32)
 	install(FILES ${install_files} DESTINATION data)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_subdirectory(lua)
 add_subdirectory(tinyxml)
 add_subdirectory(raknet)
+add_subdirectory(blobnet)
 
 add_definitions(-DTIXML_USE_STL)
 include_directories(.)
@@ -19,6 +20,11 @@
 	File.cpp File.h
 	FileWrite.cpp FileWrite.h
 	FileRead.cpp FileRead.h
+	FileSystem.cpp FileSystem.h
+	PhysicState.cpp PhysicState.h
+	DuelMatchState.cpp DuelMatchState.h
+	GameLogicState.cpp GameLogicState.h
+	GenericIO.cpp GenericIO.h
 	)
 	
 set (blobby_SRC ${common_SRC}
@@ -78,7 +84,7 @@
 endif (CMAKE_SYSTEM_NAME STREQUAL Windows)
 
 add_executable(blobby ${blobby_SRC})
-target_link_libraries(blobby lua raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY} ${OPENGL_LIBRARIES})
+target_link_libraries(blobby lua raknet blobnet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY} ${OPENGL_LIBRARIES})
 
 if (UNIX)
 	add_executable(blobby-server ${blobby-server_SRC})

=== src/lua/CMakeLists.txt ===
set (lua_SRC
	lapi.c lapi.h
	lauxlib.c lauxlib.h
	lbaselib.c
	lcode.c lcode.h
	ldblib.c
	ldebug.c ldebug.h
	ldo.c ldo.h
	ldump.c
	lfunc.c lfunc.h
	lgc.c lgc.h
	linit.c
	liolib.c
	llex.c llex.h
	llimits.h
	lmathlib.c
	lmem.c lmem.h
	loadlib.c
	lobject.c lobject.h
	lopcodes.c lopcodes.h
	loslib.c
	lparser.c lparser.h
	lstate.c lstate.h
	lstring.c lstring.h
	lstrlib.c
	ltable.c ltable.h
	ltablib.c
	ltm.c ltm.h
	luaconf.h
	lua.h
	lualib.h
	lundump.c lundump.h
	lvm.c lvm.h
	lzio.c lzio.h
	print.c
	)

add_library(lua STATIC ${lua_SRC})

=== src/raknet/CMakeLists.txt ===
set (raknet_SRC
	ArrayList.h
	AsynchronousFileIO.cpp AsynchronousFileIO.h
	BigTypes.h
	BinarySearchTree.h
	BitStream.cpp BitStream.h
	CheckSum.cpp CheckSum.h
	ClientContextStruct.h
	DataBlockEncryptor.cpp DataBlockEncryptor.h
	ExtendedOverlappedPool.cpp ExtendedOverlappedPool.h
	GetTime.cpp GetTime.h
	HuffmanEncodingTree.cpp HuffmanEncodingTree.h
	HuffmanEncodingTreeFactory.cpp HuffmanEncodingTreeFactory.h
	HuffmanEncodingTreeNode.h
	InternalPacket.h
	InternalPacketPool.cpp InternalPacketPool.h
	LinkedList.h
	MessageHandlerInterface.cpp MessageHandlerInterface.h
	MTUSize.h
	NetworkTypes.cpp NetworkTypes.h
	OrderedList.h
	PacketEnumerations.h
	PacketPool.cpp PacketPool.h
	PacketPriority.h
	QueueLinkedList.h
	RakClient.cpp RakClient.h
	RakClientInterface.h
	RakNetStatistics.cpp RakNetStatistics.h
	RakNetworkFactory.cpp RakNetworkFactory.h
	RakPeer.cpp RakPeer.h
	RakPeerInterface.h
	RakServer.cpp RakServer.h
	RakServerInterface.h
	Rand.cpp Rand.h
	ReliabilityLayer.cpp ReliabilityLayer.h
	rijndael-boxes.h
	rijndael.cpp rijndael.h
	RSACrypt.h
	SHA1.cpp SHA1.h
	SimpleMutex.cpp SimpleMutex.h
	SingleProducerConsumer.h
	SocketLayer.cpp SocketLayer.h
	Types.h
	)

add_library(raknet STATIC ${raknet_SRC})

=== src/tinyxml/CMakeLists.txt ===
add_definitions(-DTIXML_USE_STL)

set(tinyxml_SRC
	tinystr.cpp tinystr.h
	tinyxml.cpp tinyxml.h
	tinyxmlerror.cpp
	tinyxmlparser.cpp
	)

add_library(tinyxml STATIC ${tinyxml_SRC})

=== debian/changelog ===
blobby (1.0~rc3-3) unstable; urgency=low

  * Fix FTBFS: 'assert' was not declared in this scope. (Closes: #710632)
    - Add 06_fix_ftbfs_assert_include.patch

 -- Felix Geyer <fgeyer@debian.org>  Sat, 01 Jun 2013 15:18:00 +0200

blobby (1.0~rc3-2) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 08 May 2013 21:49:41 +0200

blobby (1.0~rc3-1) experimental; urgency=low

  * Upload to experimental due to the freeze.
  * New upstream release.
  * Refresh patches.
  * Drop 06_ftbfs_gcc47.patch, merged upstream.
  * Switch to my @debian.org email address.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Nov 2012 12:05:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Felix Geyer <debfx-pkg@fobos.de>
-DM-Upload-Allowed: yes
+Uploaders: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
                imagemagick,
@@ -16,7 +15,7 @@
                libtinyxml-dev,
                zlib1g-dev
 Homepage: http://sourceforge.net/projects/blobby/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/blobby.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
-
-LDFLAGS += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --parallel
@@ -16,3 +13,6 @@
 	  debian/blobby/usr/share/icons/hicolor/32x32/apps/blobby.png
 	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
 	  debian/blobby/usr/share/pixmaps/blobby.xpm
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog

## blobby 1.0

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -16,19 +16,20 @@
 add_zip_archive(sounds wav)
 add_zip_archive(scripts lua)
 add_zip_archive(backgrounds bmp)
+add_zip_archive(rules lua)
 
 set(install_files
 	${CMAKE_CURRENT_BINARY_DIR}/gfx.zip
 	${CMAKE_CURRENT_BINARY_DIR}/sounds.zip
 	${CMAKE_CURRENT_BINARY_DIR}/scripts.zip
 	${CMAKE_CURRENT_BINARY_DIR}/backgrounds.zip
+	${CMAKE_CURRENT_BINARY_DIR}/rules.zip
 	config.xml
 	inputconfig.xml
-	server.xml
+	server/server.xml
 	lang_de.xml
 	lang_en.xml
-	lang_fr.xml
-	rules.lua)
+	lang_fr.xml)
 
 if (WIN32)
 	install(FILES ${install_files} DESTINATION data)

=== src/CMakeLists.txt ===
add_subdirectory(lua)
add_subdirectory(tinyxml)
ADD_DEFINITIONS(-std=c++11)
add_subdirectory(raknet)
add_subdirectory(blobnet)

add_definitions(-DTIXML_USE_STL)
set(CMAKE_CXX_FLAGS "-std=c++11")
set(CMAKE_CXX_FLAGS "-Wall")
include_directories(.)

set(common_SRC
	BlobbyDebug.cpp BlobbyDebug.h
	Clock.cpp Clock.h
	DuelMatch.cpp DuelMatch.h
	FileRead.cpp FileRead.h
	FileSystem.cpp FileSystem.h
	FileWrite.cpp FileWrite.h
	File.cpp File.h
	GameLogic.cpp GameLogic.h
	GenericIO.cpp GenericIO.h
	Global.h
	NetworkMessage.cpp NetworkMessage.h
	PhysicWorld.cpp PhysicWorld.h
	ReplayRecorder.cpp ReplayRecorder.h
	SpeedController.cpp SpeedController.h
	UserConfig.cpp UserConfig.h
	PhysicState.cpp PhysicState.h
	DuelMatchState.cpp DuelMatchState.h
	GameLogicState.cpp GameLogicState.h
	ReplaySavePoint.cpp ReplaySavePoint.h
	InputSource.cpp InputSource.h
	PlayerInput.h PlayerInput.cpp
	IScriptableComponent.cpp IScriptableComponent.h
	PlayerIdentity.cpp PlayerIdentity.h
	server/DedicatedServer.cpp server/DedicatedServer.h
	server/NetworkPlayer.cpp server/NetworkPlayer.h
	server/NetworkGame.cpp server/NetworkGame.h
	)

set (blobby_SRC ${common_SRC} ${inputdevice_SRC}
	Blood.cpp Blood.h
	TextManager.cpp TextManager.h
	main.cpp
	IMGUI.cpp IMGUI.h
	InputDevice.h
	InputManager.cpp InputManager.h
	LocalInputSource.cpp LocalInputSource.h
	RenderManager.cpp RenderManager.h
	RenderManagerGL2D.cpp RenderManagerGL2D.h
#	RenderManagerGP2X.cpp RenderManagerGP2X.h
	RenderManagerSDL.cpp RenderManagerSDL.h
	ScriptedInputSource.cpp ScriptedInputSource.h
	BotAPICalculations.cpp BotAPICalculations.h
	SoundManager.cpp SoundManager.h
	Vector.h
	ReplayRecorder.cpp ReplayRecorder.h
	ReplayPlayer.cpp ReplayPlayer.h
	ReplayLoader.cpp
	InputSourceFactory.cpp InputSourceFactory.h
	state/State.cpp state/State.h
	state/GameState.cpp state/GameState.h
	state/LocalGameState.cpp state/LocalGameState.h
	state/NetworkState.cpp state/NetworkState.h
	state/OptionsState.cpp state/OptionsState.h
	state/NetworkSearchState.cpp state/NetworkSearchState.h
	state/ReplayState.cpp state/ReplayState.h
	state/ReplaySelectionState.cpp state/ReplaySelectionState.h
	state/LobbyState.cpp state/LobbyState.h
	input_device/JoystickInput.cpp
	input_device/JoystickPool.cpp input_device/JoystickPool.h
	input_device/KeyboardInput.cpp
	input_device/MouseInput.cpp
	input_device/TouchInput.cpp
	)

set (blobby-server_SRC ${common_SRC}
	server/servermain.cpp
	)

find_package(Boost REQUIRED)
find_package(PhysFS REQUIRED)
find_package(OpenGL)
find_package(Threads REQUIRED)

INCLUDE(FindPkgConfig)
PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2)

include_directories(
	${Boost_INCLUDE_DIR} ${PHYSFS_INCLUDE_DIR}
	${OPENGL_INCLUDE_DIR} ${SDL2_INCLUDE_DIRS}
)
if (OPENGL_FOUND)
	add_definitions(-DHAVE_LIBGL)
endif (OPENGL_FOUND)

if (CMAKE_SYSTEM_NAME STREQUAL Windows)
	set(RAKNET_LIBRARIES raknet ws2_32)
else (CMAKE_SYSTEM_NAME STREQUAL Windows)
	set(RAKNET_LIBRARIES raknet)
endif (CMAKE_SYSTEM_NAME STREQUAL Windows)

add_executable(blobby ${blobby_SRC})
target_link_libraries(blobby lua raknet blobnet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${OPENGL_LIBRARIES} ${SDL2_LIBRARIES} pthread)

if (UNIX)
	add_executable(blobby-server ${blobby-server_SRC})
	target_link_libraries(blobby-server lua raknet blobnet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL2_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
endif (UNIX)

if (CMAKE_SYSTEM_NAME STREQUAL Windows)
	set_target_properties(blobby PROPERTIES LINK_FLAGS "-mwindows") # disable the console window
endif (CMAKE_SYSTEM_NAME STREQUAL Windows)

if (WIN32)
	install(TARGETS blobby DESTINATION .)
elseif (UNIX)
	install(TARGETS blobby blobby-server DESTINATION bin)
endif (WIN32)

=== src/blobnet/CMakeLists.txt ===
set (blobnet_SRC
	layer/Http.cpp layer/Http.hpp
	)

add_library(blobnet STATIC ${blobnet_SRC})

=== src/lua/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,10 @@
 	lapi.c lapi.h
 	lauxlib.c lauxlib.h
 	lbaselib.c
+	lbitlib.c
 	lcode.c lcode.h
+	lcorolib.c
+	lctype.c lctype.h
 	ldblib.c
 	ldebug.c ldebug.h
 	ldo.c ldo.h
@@ -26,13 +29,13 @@
 	ltable.c ltable.h
 	ltablib.c
 	ltm.c ltm.h
+	lua.c lua.h lua.hpp
+	luac.c	
 	luaconf.h
-	lua.h
 	lualib.h
 	lundump.c lundump.h
 	lvm.c lvm.h
 	lzio.c lzio.h
-	print.c
 	)
 
 add_library(lua STATIC ${lua_SRC})

=== src/raknet/CMakeLists.txt ===
set (raknet_SRC
	ArrayList.h
	BitStream.cpp BitStream.h
	GetTime.cpp GetTime.h
	InternalPacket.h
	InternalPacketPool.cpp InternalPacketPool.h
	LinkedList.h
	MTUSize.h
	NetworkTypes.cpp NetworkTypes.h
	PacketEnumerations.h
	PacketPool.cpp PacketPool.h
	PacketPriority.h
	RakClient.cpp RakClient.h
	RakNetStatistics.cpp RakNetStatistics.h
	RakPeer.cpp RakPeer.h
	RakServer.cpp RakServer.h
	ReliabilityLayer.cpp ReliabilityLayer.h
	SimpleMutex.cpp SimpleMutex.h
	SingleProducerConsumer.h
	SocketLayer.cpp SocketLayer.h
	)

add_library(raknet STATIC ${raknet_SRC})

=== debian/changelog ===
blobby (1.0-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:49 +0100

blobby (1.0-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:15:08 +0000

blobby (1.0-3) unstable; urgency=medium

  * Drop Debian menu entry.
  * Fix FTBFS: include ostream in NetworkMessage.cpp
    - Add 10_ostream_include.patch

 -- Felix Geyer <fgeyer@debian.org>  Wed, 09 Sep 2015 17:03:53 +0200

blobby (1.0-2) unstable; urgency=medium

  * Make builds reproducible.
    - d/patches/09_reproducible_build.patch: Don't store the atime of files
      in zip archives.
    - d/rules: Don't store mtime in png files.
  * Remove obsolete/duplicate sections from the copyright file.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Fix FTBFS when building only arch-all packages.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 01 May 2015 10:13:13 +0200

blobby (1.0-1) unstable; urgency=medium

  * New upstream release

  [ Jackson Doak ]
  * Disable 05_server_config_file.patch, no longer needed
  * Drop 06_fix_ftbfs_assert_include.patch, no longer needed
  * Add build depend on libsdl2-dev

  [ Felix Geyer ]
  * Upstream uses lua 5.2 now. Adapt build-depends and 02_use_system_lua.patch
    accordingly.
  * Make sure $CXXFLAGS are not overwritten by the upstream CMakeLists.txt.
    - Add 07_cxxflags_append.patch
  * Drop libsdl1.2-dev build-dependency, not needed anymore.
  * Cherry-pick upstream commit to fix config file loading.
    - Add 08_config_loading.patch
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 23 Apr 2014 23:36:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_install:
	dh_install --fail-missing
ifneq (,$(filter blobby, $(shell dh_listpackages)))
	convert -transparent black data/gfx/ball01.bmp \
	  +set date:create +set date:modify -define png:exclude-chunk=time \
	  debian/blobby/usr/share/icons/hicolor/64x64/apps/blobby.png
	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
	  +set date:create +set date:modify -define png:exclude-chunk=time \
	  debian/blobby/usr/share/icons/hicolor/32x32/apps/blobby.png
endif

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3

opts="uversionmangle=s/rc/~rc/" \
  http://sf.net/blobby/ blobby2-linux-(.*)\.tar\.gz

## blobby 1.1%2Bds

=== src/CMakeLists.txt ===
set(APP_NAME "Blobby Volley 2")
set(APP_AUTHOR "")

set(CMAKE_CXX_STANDARD 11)

if (MSVC)
	add_compile_options(/utf-8)
	# When building for MSVC with CMake,
	# the compiler warning flags (like /W3) are added by default.
else()
	add_compile_options(-Wall)
endif()

include_directories(.)

set(common_SRC
	base64.cpp base64.h
	BlobbyDebug.cpp BlobbyDebug.h
	Clock.cpp Clock.h
	DuelMatch.cpp DuelMatch.h
	FileRead.cpp FileRead.h
	FileSystem.cpp FileSystem.h
	FileWrite.cpp FileWrite.h
	File.cpp File.h
	GameLogic.cpp GameLogic.h
	GenericIO.cpp GenericIO.h
	Global.h
	Color.cpp Color.h
	NetworkMessage.cpp NetworkMessage.h
	PhysicWorld.cpp PhysicWorld.h
	SpeedController.cpp SpeedController.h
	UserConfig.cpp UserConfig.h
	PhysicState.cpp PhysicState.h
	DuelMatchState.cpp DuelMatchState.h
	GameLogicState.cpp GameLogicState.h
	InputSource.cpp InputSource.h
	PlayerInput.h PlayerInput.cpp
	IScriptableComponent.cpp IScriptableComponent.h
	PlayerIdentity.cpp PlayerIdentity.h
	server/DedicatedServer.cpp server/DedicatedServer.h
	server/NetworkPlayer.cpp server/NetworkPlayer.h
	server/NetworkGame.cpp server/NetworkGame.h
	server/MatchMaker.cpp server/MatchMaker.h
	replays/ReplayRecorder.cpp replays/ReplayRecorder.h
	replays/ReplaySavePoint.cpp replays/ReplaySavePoint.h
	)

set (blobby_SRC ${common_SRC} ${inputdevice_SRC}
	Blood.cpp Blood.h
	TextManager.cpp TextManager.h
	IMGUI.cpp IMGUI.h
	InputDevice.h
	InputManager.cpp InputManager.h
	LocalInputSource.cpp LocalInputSource.h
	RenderManager.cpp RenderManager.h
	RenderManagerGL2D.cpp RenderManagerGL2D.h
	RenderManagerSDL.cpp RenderManagerSDL.h
	RenderManagerNull.cpp RenderManagerNull.h
	ScriptedInputSource.cpp ScriptedInputSource.h
	SoundManager.cpp SoundManager.h
	Vector.h
	replays/ReplayPlayer.cpp replays/ReplayPlayer.h
	replays/ReplayLoader.cpp
	state/State.cpp state/State.h
	state/GameState.cpp state/GameState.h
	state/LocalGameState.cpp state/LocalGameState.h
	state/NetworkState.cpp state/NetworkState.h
	state/OptionsState.cpp state/OptionsState.h
	state/NetworkSearchState.cpp state/NetworkSearchState.h
	state/ReplayState.cpp state/ReplayState.h
	state/ReplaySelectionState.cpp state/ReplaySelectionState.h
	state/LobbyStates.cpp state/LobbyStates.h
	input_device/JoystickInput.cpp
	input_device/JoystickPool.cpp input_device/JoystickPool.h
	input_device/KeyboardInput.cpp
	input_device/MouseInput.cpp
	input_device/TouchInput.cpp
	BlobbyApp.h BlobbyApp.cpp
	)

set (blobby-server_SRC ${common_SRC}
	server/servermain.cpp
	)

find_package(Boost REQUIRED)
find_package(OpenGL)
add_subdirectory(raknet)
add_subdirectory(blobnet)

if (SWITCH)
	find_library(NX nx)
endif (SWITCH)

if (OPENGL_FOUND)
	include_directories(${OPENGL_INCLUDE_DIR})
	add_definitions(-DHAVE_LIBGL)
endif (OPENGL_FOUND)

if (UNIX AND (NOT ANDROID))
	add_definitions("-DBLOBBY_DATA_DIR=\"${CMAKE_INSTALL_PREFIX}/share/blobby\"")
endif()

set(BLOBBY_COMMON_LIBS lua::lua blobnet::blobnet tinyxml2::tinyxml2 PhysFS::PhysFS SDL2::SDL2main SDL2::SDL2 Boost::boost)

# other additional dependencies
if (NOT WIN32)
	find_package(Threads REQUIRED)
	set(BLOBBY_COMMON_LIBS ${BLOBBY_COMMON_LIBS} Threads::Threads)
endif ()

if (SWITCH)
	add_executable(blobby.elf main.cpp ${blobby_SRC})
	target_link_libraries(blobby.elf ${DEVKITPRO}/portlibs/switch/lib/libEGL.a ${DEVKITPRO}/portlibs/switch/lib/libdrm_nouveau.a ${DEVKITPRO}/portlibs/switch/lib/libglapi.a ${DEVKITPRO}/libnx/lib/libnx.a)
	add_custom_command(
		OUTPUT blobby.nro
		COMMAND ${DEVKITPRO}/tools/bin/elf2nro blobby.elf blobby.nro --icon=${CMAKE_SOURCE_DIR}/data/Icon.jpg --nacp=blobby.nacp
		DEPENDS blobby.elf blobby.nacp)
	add_custom_command(
		OUTPUT blobby.nacp
		COMMAND ${DEVKITPRO}/tools/bin/nacptool --create "${APP_NAME}" "${APP_AUTHOR}" "${PROJECT_VERSION}" VERBATIM blobby.nacp
	)
	add_custom_target(blobby ALL DEPENDS blobby.nro)
else ()
	if (ANDROID)
		add_library(blobby SHARED main.cpp ${blobby_SRC})
	elseif (WIN32)
	    add_executable(blobby WIN32 main.cpp ${blobby_SRC})
	else ()
		add_executable(blobby main.cpp ${blobby_SRC})
	endif ()
endif ()

target_link_libraries(blobby ${BLOBBY_COMMON_LIBS} ${OPENGL_LIBRARIES})


if (UNIX AND (NOT ANDROID) OR WIN32)
	add_executable(blobby-server ${blobby-server_SRC})
	target_link_libraries(blobby-server ${BLOBBY_COMMON_LIBS})
endif ()
if (UNIX AND (NOT ANDROID))
	add_executable(blobby-runtest EXCLUDE_FROM_ALL runtest.cpp ${blobby_SRC})
	target_link_libraries(blobby-runtest ${BLOBBY_COMMON_LIBS} ${OPENGL_LIBRARIES})

	add_executable(botbench EXCLUDE_FROM_ALL botbench.cpp ${blobby_SRC})
	target_link_libraries(botbench ${BLOBBY_COMMON_LIBS} ${OPENGL_LIBRARIES})
endif ()

if (MSYS)
	set_target_properties(blobby PROPERTIES LINK_FLAGS "-mwindows") # disable the console window
	set_target_properties(blobby-server PROPERTIES LINK_FLAGS "-mconsole") # enable the console window
endif()

if (WIN32)
	install(TARGETS blobby blobby-server DESTINATION .)
elseif (ANDROID)
	install(TARGETS blobby DESTINATION bin)
elseif (SWITCH)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/blobby.nro DESTINATION .)
elseif (UNIX)
	install(TARGETS blobby blobby-server DESTINATION bin)
endif ()

if (MSVC)
	# set application icon
	target_sources(blobby PRIVATE ../win/res.rc)
	target_sources(blobby-server PRIVATE ../win/res.rc)
endif(MSVC)

# Header Checks
# Create a test target, consisting of one cpp file for each header, where the cpp file does nothing but
# include its header. If this compiles, then all our headers are self-contained.

# gather up the header files
file(GLOB_RECURSE HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

# create a new target for this test. We use a static library (instead of an executable), because then
# we don't have to worry about things actually linking.
add_library(test-compile-headers STATIC EXCLUDE_FROM_ALL test_compile_main.cpp)

foreach(HEADER ${HEADERS})
	# construct a new file name based on the headers name
	string(MAKE_C_IDENTIFIER "${HEADER}" HEADER_TEST_FILE)
	set(TEST_COMPILE_FILE "${CMAKE_CURRENT_BINARY_DIR}/test_compile/${HEADER_TEST_FILE}.cpp")

	# create the test file and add to the target sources
	configure_file(test_compile.cpp.in ${TEST_COMPILE_FILE} @ONLY)
	target_sources(test-compile-headers PUBLIC ${TEST_COMPILE_FILE})
endforeach()

target_link_libraries(test-compile-headers PRIVATE ${BLOBBY_COMMON_LIBS})

## blobby 1.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

include(CPack)

project(Blobby)

option(BUILD_TESTS "Build test programs" OFF)

include(deps/sdl2.cmake)
include(deps/physfs.cmake)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(deps)

add_subdirectory(linux)

if(BUILD_TESTS)
	add_subdirectory(test)
endif(BUILD_TESTS)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	file(GLOB_RECURSE archive_src RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${_dir}/*.${_filetype})
 	add_custom_command(
 		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip
-		COMMAND zip ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip ${archive_src}
+		COMMAND ${CMAKE_COMMAND} -E tar cf ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip --format=zip ${archive_src}
 		DEPENDS ${archive_src}
 		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 		VERBATIM
@@ -24,15 +24,22 @@
 	${CMAKE_CURRENT_BINARY_DIR}/scripts.zip
 	${CMAKE_CURRENT_BINARY_DIR}/backgrounds.zip
 	${CMAKE_CURRENT_BINARY_DIR}/rules.zip
+	api.lua
+	bot_api.lua
+	rules_api.lua
+	Icon.bmp
 	config.xml
 	inputconfig.xml
-	server/server.xml
+	server.xml
+	lang_cs.xml
 	lang_de.xml
 	lang_en.xml
-	lang_fr.xml)
+	lang_es.xml
+	lang_fr.xml
+	lang_it.xml)
 
-if (WIN32)
+if (WIN32 OR SWITCH)
 	install(FILES ${install_files} DESTINATION data)
 elseif (UNIX)
 	install(FILES ${install_files} DESTINATION share/blobby)
-endif (WIN32)
+endif (WIN32 OR SWITCH)

=== src/blobnet/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 11)

set (blobnet_SRC
	layer/Http.cpp layer/Http.hpp
	)

add_library(blobnet STATIC ${blobnet_SRC})	
target_link_libraries(blobnet PUBLIC raknet::raknet)
target_include_directories(blobnet PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
add_library(blobnet::blobnet ALIAS blobnet)

=== debian/changelog ===
blobby (1.1+ds-1ubuntu1) noble; urgency=medium

  * No-change rebuild against libtinyxml2-10

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 22 Jan 2024 10:30:07 -0700

blobby (1.1+ds-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release.
    - Drop obsolete patches.
    - Drop d/blobby.desktop, as it's included in the upstream source.
  * d/control:
    - Point Vcs-* URLs to salsa.
    - Update to debhelper compat level 13.
    - Drop obsolete libgl1-mesa-dev build dependency.
    - Build-depend on pkgconf.
    - Update Standards-Version to 4.6.2.
    - Declare that d/rules does not require root.
    - Update homepage.
  * d/rules:
    - Enable all hardening options.
    - Drop dh_installchangelogs override, as the changelog is detected
      automatically.
    - Drop generation of low resolution icons, as a better one is now
      available.
  * Use https in URLs.
  * Update patch to link against system lua 5.3.
  * Update patch to link against system libtinyxml2.
  * Update list of installed files.
  * d/watch:
    - Update to version 4.
    - Point to github, which is now the official location.
  * Update copyrights.

  [ Debian Janitor ]
  * Apply multi-arch hints. + blobby-data: Add Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 22:42:02 +0200

blobby (1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 16:10:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: blobby
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               imagemagick,
+               pkgconf,
                zip,
                libboost-dev,
-               libgl1-mesa-dev | libgl-dev,
-               liblua5.1-0-dev,
+               libgl-dev,
+               liblua5.3-dev,
                libphysfs-dev,
-               libsdl1.2-dev,
-               libtinyxml-dev,
+               libsdl2-dev,
+               libtinyxml2-dev,
                zlib1g-dev
-Homepage: http://sourceforge.net/projects/blobby/
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/blobby.git
+Homepage: https://blobbyvolley.de/
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/games-team/blobby.git
+Vcs-Browser: https://salsa.debian.org/games-team/blobby
+Rules-Requires-Root: no
 
 Package: blobby
 Architecture: any
@@ -42,6 +44,7 @@
 Package: blobby-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Volleyball game with blobs (data files)
  This package contains the static data for Blobby Volley 2.
  .

## blobby 1.1.1%2Bds

=== debian/changelog ===
blobby (1.1.1+ds-3) unstable; urgency=medium

  * Team upload
  * Update to lua5.4

 -- Bastian Germann <bage@debian.org>  Fri, 20 Feb 2026 11:39:37 +0100

blobby (1.1.1+ds-2) unstable; urgency=medium

  * Fix FTBFS with gcc 15. (Closes: #1096379)
    - Add 05_fix_ftbfs_gcc15.patch from upstream

 -- Felix Geyer <fgeyer@debian.org>  Sat, 13 Sep 2025 09:51:53 +0200

blobby (1.1.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1+ds

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 12:15:13 +0200

## blobby 1.1.1+ds

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -24,22 +24,24 @@
 	${CMAKE_CURRENT_BINARY_DIR}/scripts.zip
 	${CMAKE_CURRENT_BINARY_DIR}/backgrounds.zip
 	${CMAKE_CURRENT_BINARY_DIR}/rules.zip
-	api.lua
-	bot_api.lua
-	rules_api.lua
-	Icon.bmp
-	config.xml
-	inputconfig.xml
-	server.xml
-	lang_cs.xml
-	lang_de.xml
-	lang_en.xml
-	lang_es.xml
-	lang_fr.xml
-	lang_it.xml)
+	${CMAKE_CURRENT_SOURCE_DIR}/api.lua
+	${CMAKE_CURRENT_SOURCE_DIR}/bot_api.lua
+	${CMAKE_CURRENT_SOURCE_DIR}/rules_api.lua
+	${CMAKE_CURRENT_SOURCE_DIR}/Icon.bmp
+	${CMAKE_CURRENT_SOURCE_DIR}/config.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/inputconfig.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/server.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/lang_cs.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/lang_de.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/lang_en.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/lang_es.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/lang_fr.xml
+	${CMAKE_CURRENT_SOURCE_DIR}/lang_it.xml)
 
 if (WIN32 OR SWITCH)
 	install(FILES ${install_files} DESTINATION data)
-elseif (UNIX)
+elseif (UNIX AND NOT APPLE)
 	install(FILES ${install_files} DESTINATION share/blobby)
 endif (WIN32 OR SWITCH)
+
+set(data_files ${install_files} PARENT_SCOPE)

=== deps/CMakeLists.txt ===
add_subdirectory(tinyxml)
add_subdirectory(lua)

=== linux/CMakeLists.txt ===
if (UNIX AND NOT APPLE)
	install(FILES blobby.appdata.xml DESTINATION share/metainfo)
	install(FILES blobby.desktop DESTINATION share/applications)
	install(FILES blobby.png DESTINATION share/icons/hicolor/128x128/apps)
endif (UNIX AND NOT APPLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -156,7 +156,7 @@
 	install(TARGETS blobby DESTINATION bin)
 elseif (SWITCH)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/blobby.nro DESTINATION .)
-elseif (UNIX)
+elseif (UNIX AND NOT APPLE)
 	install(TARGETS blobby blobby-server DESTINATION bin)
 endif ()

=== test/CMakeLists.txt ===
enable_testing()

set(CMAKE_CXX_STANDARD 11)

set(SRC
	../src/BlobbyDebug.cpp    ../src/BlobbyDebug.h
	../src/FileWrite.cpp      ../src/FileWrite.h
	../src/FileRead.cpp       ../src/FileRead.h
	../src/FileSystem.cpp     ../src/FileSystem.h
	../src/File.cpp           ../src/File.h
	../src/GenericIO.cpp      ../src/GenericIO.h
	../src/PlayerInput.h      ../src/PlayerInput.cpp
	../src/DuelMatchState.cpp ../src/DuelMatchState.h
	../src/GameLogicState.cpp ../src/GameLogicState.h
	../src/PhysicState.cpp    ../src/PhysicState.h
	../src/DuelMatch.cpp      ../src/DuelMatch.h
	../src/Clock.cpp          ../src/Clock.h
	../src/PhysicWorld.cpp    ../src/PhysicWorld.h 
	../src/GameLogic.cpp      ../src/GameLogic.h
	../src/InputSource.cpp    ../src/InputSource.h
	../src/IScriptableComponent.cpp ../src/IScriptableComponent.h
	../src/PlayerIdentity.cpp ../src/PlayerIdentity.h
	../src/UserConfig.cpp     ../src/UserConfig.h
	../src/Color.cpp          ../src/Color.h
	../src/base64.cpp         ../src/base64.h
)

find_package(Boost REQUIRED COMPONENTS unit_test_framework)
find_package(PhysFS REQUIRED)
find_package(SDL2 REQUIRED)

if ("${SDL2_LIBRARIES}" STREQUAL "")
	set(SDL2_LIBRARIES "SDL2::SDL2")
endif ("${SDL2_LIBRARIES}" STREQUAL "")

add_executable(blobbytest GenericIOTest.cpp FileTest.cpp Base64Test.cpp ${SRC})

target_include_directories(blobbytest PRIVATE ${Boost_INCLUDE_DIR} ${PHYSFS_INCLUDE_DIR} ${SDL2_INCLUDE_DIRS} ../src)
target_compile_definitions(blobbytest PRIVATE "BOOST_TEST_DYN_LINK=1")
target_link_libraries(blobbytest ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY} ${PHYSFS_LIBRARY} ${SDL2_LIBRARIES} lua raknet tinyxml2)

=== src/raknet/CMakeLists.txt ===
# We use the two-levels of directories so that from outside, the includes will be "raknet/..."
set(CMAKE_CXX_STANDARD 11)

set (raknet_SRC
        ArrayList.h
        BitStream.cpp BitStream.h
        GetTime.cpp GetTime.h
        InternalPacket.h
        InternalPacketPool.cpp InternalPacketPool.h
        LinkedList.h
        MTUSize.h
        NetworkTypes.cpp NetworkTypes.h
        PacketEnumerations.h
        PacketPool.cpp PacketPool.h
        PacketPriority.h
        RakClient.cpp RakClient.h
        RakNetStatistics.cpp RakNetStatistics.h
        RakPeer.cpp RakPeer.h
        RakServer.cpp RakServer.h
        ReliabilityLayer.cpp ReliabilityLayer.h
        SimpleMutex.cpp SimpleMutex.h
        SingleProducerConsumer.h
        SocketLayer.cpp SocketLayer.h
        )

add_library(raknet STATIC ${raknet_SRC})
target_include_directories(raknet PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include)
target_include_directories(raknet PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include/raknet)

# raknet additional dependencies
if (WIN32)
    target_link_libraries(raknet PUBLIC ws2_32)
endif ()

add_library(raknet::raknet ALIAS raknet)

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blobby
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
 https://github.com/danielknobe/blobbyvolley2/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
